{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-guides/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Comment (Note) API V3 — Developer Guide","description":"Sprinklr offers robust, convenient, and simple RESTful Web service APIs to integrate data from Sprinklr to any external system.","keywords":["Sprinklr API","Sprinklr Developer Portal","OAuth 2.0","RESTful API","Social Media API","Customer Experience API","Unified-CXM","Social Listening API"]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"comment-note-api-v3--developer-guide","__idx":0},"children":["Comment (Note) API V3 — Developer Guide"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Applies to:"]}," Sprinklr Comment (Note) APIs V3"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["V2 API reference:"]}," ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://legacy-dev.sprinklr.com/comment"},"children":["Comment (Note) | Sprinklr Developer Portal"]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-overview","__idx":1},"children":["1. Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Comment"]}," (i.e. termed as ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note"]}," in Sprinklr Platform) helps promote engagement between the agents working on the Case. By using Comment APIs, a brand agent sitting on a 3rd party tool can add comments on a case programmatically, which can be used by another agent for reference."," ","Sprinklr supports APIs that allow adding, reading, updating, and deleting comments. The added advantage is to create notes with attachments such as image, file, or even video."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"11-supported-entity-types","__idx":2},"children":["1.1 Supported Entity Types"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Entity type"},"children":["Entity type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Identifier to send in entityId"},"children":["Identifier to send in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Case Number"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MESSAGE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Message Id"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["OUTBOUND_MESSAGE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Outbound message (post) Id"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CAMPAIGN"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Campaign Id"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROFILE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Profile Id"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"before-you-begin","__idx":3},"children":["Before you Begin"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You need an access token and API key to call these APIs. Use the environment-specific API host shown in each endpoint."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"2-api-endpoints","__idx":4},"children":["2. API Endpoints"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," Create Comment"," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT"]}," Update Comment"," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," Read Comment / Fetch Comment"," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DEL"]}," Delete Comment"]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-base-urls-and-environments","__idx":5},"children":["3. Base URLs and Environments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["All API calls are sent to the production endpoint:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["So the resource in production is:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/comment\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace {env} with your assigned environment identifier (prod0, prod2, prod11, and so on — see ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://legacy-dev.sprinklr.com/apis"},"children":["APIs | Sprinklr Developer Portal"]}," for the environment list)."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"4-authentication-and-common-headers","__idx":6},"children":["4. Authentication and Common Headers"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API applies two global security schemes:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Scheme"},"children":["Scheme"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Location"},"children":["Location"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["bearerAuth"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["HTTP bearer (JWT)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization: Bearer {{accessToken}}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["apiKeyAuth"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Key: {{apiKey}}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Value"},"children":["Value"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer {token}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authenticates the user with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{api-key}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authenticates the application with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifies the request-body media type."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Accept"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifies the expected response type."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"5-write-operations","__idx":7},"children":["5. Write operations"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"511-create-a-comment-with-attachment--without-attachment","__idx":8},"children":["5.1.1 Create a Comment (with attachment | without attachment)"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Creates a comment on an entity, with an optional attachment. Request body is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["required"]},", media type ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]},": api/v3/comment"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters","__idx":9},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MESSAGE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["OUTBOUND_MESSAGE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CAMPAIGN"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROFILE"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity id — e.g. Case Number for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},", Message Id for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MESSAGE"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["text"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The comment text. In V2's multiple-attachment endpoint this field was named ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["comment"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request","__idx":10},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location 'https://api3.sprinklr.com/{env}/api/v3/comment' \\\n--header 'Authorization: Bearer {{accessToken}}' \\\n--header 'Key: {{apiKey}}' \\\n--header 'Content-Type: application/json' \\\n--header 'accept: application/json' \\\n--data '{\n  \"entityType\": \"CASE\",\n  \"entityId\": \"116537343\",\n  \"text\": \"comment test\"\n}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":11},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"id\": \"6a8825baa34ff204e0821a61\",\n    \"text\": \"comment test\",\n    \"commentingUser\": 66015421,\n    \"createdTime\": 1787307448962,\n    \"modifiedTime\": 1787307448962,\n    \"entityType\": \"CASE\",\n    \"entityId\": \"116537343\",\n    \"conversationId\": \"7608262980542680350\",\n    \"externalComment\": {\n      \"channelType\": \"TIKTOK\"\n    }\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"512-create-comment-with-multiple-attachments","__idx":12},"children":["5.1.2 Create Comment with Multiple Attachments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Using this API, you can add multiple attachments on a comment (note)."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]},": api/v3/comments"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-1","__idx":13},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-Parameter"},"children":["Sub-Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["CASE, MESSAGE, etc."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ID of the entity"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["text"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Comment text (previously ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["comment"]}," field)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachments"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["—"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array of attachment objects"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachments"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["url"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL from Media Upload API response"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachments"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["previewUrl"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Preview URL from Media Upload API"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachments"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Enum"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IMAGE"]}," | ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["VIDEO"]}," | ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DOC"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-1","__idx":14},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request POST 'https://api3.sprinklr.com/{env}/api/v3/comments' \\\n--header 'Authorization: Bearer {{accessToken}}' \\\n--header 'Key: {{apiKey}}' \\\n--header 'Content-Type: application/json' \\\n--header 'Accept: application/json' \\\n--data '{\n  \"entityType\": \"CASE\",\n  \"entityId\": \"25253550\",\n  \"text\": \"Add Comment Attachments on Case\",\n  \"attachments\": [\n    {\n      \"url\": \"https://.../test_image_p.png\",\n      \"previewUrl\": \"...\",\n      \"type\": \"IMAGE\"\n    },\n    {\n      \"url\": \"https://.../GG.jpg\",\n      \"previewUrl\": \"...\",\n      \"type\": \"IMAGE\"\n    }\n  ]\n}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-1","__idx":15},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"id\": \"65d5acd6dff20160fd4ac551\",\n    \"object\": \"comment\",\n    \"text\": \"Add Comment Attachments on Case\",\n    \"attachments\": {\n      \"type\": \"MULTI_MEDIA\",\n      \"attachments\": [\n        {\n          \"url\": \"https://.../test_image_p.png\",\n          \"previewUrl\": \"...\",\n          \"type\": \"IMAGE\"\n        },\n        {\n          \"url\": \"https://.../GG.jpg\",\n          \"previewUrl\": \"...\",\n          \"type\": \"IMAGE\"\n        }\n      ]\n    },\n    \"commentingUser\": \"user_1000157828\",\n    \"entityType\": \"CASE\",\n    \"entityId\": \"case_7252751\",\n    \"created_at\": \"2025-02-21T08:17:06Z\",\n    \"updated_at\": \"2025-02-21T08:17:06Z\",\n    \"url\": \"/api/v3/comments/65d5acd6dff20160fd4ac551\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters","__idx":16},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the comment"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["object"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Always ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["\"comment\""]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["text"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The comment text"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachments"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Multi-media attachment object with nested array and type: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MULTI_MEDIA"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["commentingUser"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["User ID of the commenter"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type on which the comment was created"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ID of the entity on which the comment was created"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["created_at"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ISO 8601 timestamp of comment creation (v2 was Epoch ms)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["updated_at"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ISO 8601 timestamp of last modification (v2 was Epoch ms)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["url"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Self-referencing URL of the created comment"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"52-update-a-comment","__idx":17},"children":["5.2 Update a Comment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Updates a comment's text, media, external reply metadata, and/or channel sync fields."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]},": api/v3/comment/{commentId}?entityType={entity type}&entityId={entity id}"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters","__idx":18},"children":["Path Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (spec)"},"children":["Required (spec)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (docs)"},"children":["Required (docs)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["commentId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Yes"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the comment to update."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type (enum name, e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},")."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the entity."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-2","__idx":19},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Property"},"children":["Property"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["EntityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional; ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["if set, must match the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}," query parameter."]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the entity."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["text"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Text of the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Attachment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Attachment of the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["externalComment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ExternalComment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Third-party channel comment details when comments are synced with another system."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["inReplyToCommentId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Parent comment's id to which this is a reply."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelAssetId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel-native asset id."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelCommentId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel-native comment id."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel type."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelCreationTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["int64"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel creation time (epoch ms)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelModificationTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["int64"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel modification time (epoch ms)."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-2","__idx":20},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request PUT \\\n'https://api3.sprinklr.com/{env}/api/v3/comment/{commentId}?entityType=CASE&entityId=116537343' \\\n--header 'Authorization: Bearer {{accessToken}}' \\\n--header 'Key: {{apiKey}}' \\\n--header 'Content-Type: application/json' \\\n--header 'accept: application/json' \\\n--data '{\n  \"text\": \"new comment updated\",\n  \"entityType\": \"CASE\",\n  \"entityId\": \"116537343\"\n}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-2","__idx":21},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 (No Content) \n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"53-delete-comment","__idx":22},"children":["5.3 Delete comment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Deletes one or more comments."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]},": api/v3/comment?entityType={entitytype}&entityId={entityid}&id={commentId}"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters-1","__idx":23},"children":["Path Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (spec)"},"children":["Required (spec)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (docs)"},"children":["Required (docs)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type (enum name, e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},")."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the entity."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Comment id(s): one id or a comma-separated list, ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["maximum 50"]},", all sharing the same ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-3","__idx":24},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request DELETE \\\n'https://api3.sprinklr.com/{env}/api/v3/comment?entityType=CASE&entityId=116537343&id={commentId}' \\\n--header 'Authorization: Bearer {{accessToken}}' \\\n--header 'Key: {{apiKey}}' \\\n--header 'Content-Type: application/json' \\\n--header 'accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-3","__idx":25},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 (No Content) \n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"6-read-operations","__idx":26},"children":["6. Read Operations"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"61-fetch-comments","__idx":27},"children":["6.1 Fetch Comment(s)"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can use the Fetch Comment API to fetch the comment from different entity types using entity Id and comment Id."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]},": api/v3/comment?entityType={entitytype}&entityId={entityid}&id={comment id}"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (spec)"},"children":["Required (spec)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required (docs)"},"children":["Required (docs)"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type for which the comment is being fetched. Supported values: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MESSAGE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CAMPAIGN"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROFILE"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the entity — Case Number for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASE"]},", Message Id for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MESSAGE"]},", Campaign Id for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CAMPAIGN"]},", Profile Id for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROFILE"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Comment id(s): one id or a comma-separated list, ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["maximum 50"]},", all sharing the same ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-4","__idx":28},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location \\\n'https://api3.sprinklr.com/{env}/api/v3/comment?entityType=CASE&entityId=116537343&id={commentId}' \\\n--header 'Authorization: Bearer {{accessToken}}' \\\n--header 'Key: {{apiKey}}' \\\n--header 'Content-Type: application/json' \\\n--header 'accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-4","__idx":29},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6a883e6cd4bb4391d375feea\",\n      \"text\": \"comment test\",\n      \"commentingUser\": 66015421,\n      \"createdTime\": 1787313772664,\n      \"modifiedTime\": 1787313772664,\n      \"entityType\": \"CASE\",\n      \"entityId\": \"116537343\",\n      \"conversationId\": \"7608262980542680350\",\n      \"externalComment\": {\n        \"channelType\": \"TIKTOK\"\n      }\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters-1","__idx":30},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique id of the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["text"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Text of the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Attachment"]},")"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Attachment of the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["commentingUser"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long (int64)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sprinklr user id of the user who made the comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["createdTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Epoch (int64, ms)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Time when the comment was made."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["modifiedTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Epoch (int64, ms)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Time when the comment was last updated."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Entity type on which the comment was created."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["entityId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the entity on which the comment was created."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["conversationId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Conversation id of the entity on which the comment was created, if applicable."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["externalComment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ExternalComment"]},")"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Details of the channel comment, if applicable."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrivate"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Private comment — internal only, not synced to third-party integrations."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["inReplyToCommentId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Parent comment's id to which this is a reply."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Error details, if any."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ExternalComment"]}," object"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Property"},"children":["Property"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["channelType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel type, e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["salesforce"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["zendesk"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["rightnow"]},". The documented example returns ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["TIKTOK"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["commentId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique id of the third-party comment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["assetId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique id of the third-party asset on which the comment was made."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ownerId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Owner of the comment on the third-party channel."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["creationTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["int64"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel creation time (epoch ms)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["modificationTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["int64"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Channel modification time (epoch ms)."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"7-use-cases","__idx":31},"children":["7. Use Cases"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":5,"id":"1-add-comments-with-attachments","__idx":32},"children":["1. Add comments with attachments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Create notes containing supporting media or documents. The API supports attachments with types IMAGE, VIDEO, and DOC."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":5,"id":"2-attach-multiple-files-to-a-comment","__idx":33},"children":["2. Attach multiple files to a comment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the multiple-attachment operation to associate multiple attachment objects with a single comment, including their URLs, optional preview URLs, and attachment types."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":5,"id":"3-retrieve-existing-comments","__idx":34},"children":["3. Retrieve existing comments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Fetch comments associated with a particular entity by using its entityType, entityId, and comment ID. The API can also accept a comma-separated list of comment IDs, up to 50 IDs that share the same entity type and entity ID."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":5,"id":"4-update-existing-comments","__idx":35},"children":["4. Update existing comments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Modify an existing comment, including its text, attachment, external-comment information, reply relationship, and documented channel synchronisation fields."]}]},"headings":[{"value":"Comment (Note) API V3 — Developer Guide","id":"comment-note-api-v3--developer-guide","depth":1},{"value":"1. Overview","id":"1-overview","depth":2},{"value":"1.1 Supported Entity Types","id":"11-supported-entity-types","depth":3},{"value":"Before you Begin","id":"before-you-begin","depth":2},{"value":"2. API Endpoints","id":"2-api-endpoints","depth":2},{"value":"3. Base URLs and Environments","id":"3-base-urls-and-environments","depth":2},{"value":"4. Authentication and Common Headers","id":"4-authentication-and-common-headers","depth":2},{"value":"5. Write operations","id":"5-write-operations","depth":2},{"value":"5.1.1 Create a Comment (with attachment | without attachment)","id":"511-create-a-comment-with-attachment--without-attachment","depth":3},{"value":"Request Parameters","id":"request-parameters","depth":4},{"value":"Example Request","id":"example-request","depth":4},{"value":"Example Response","id":"example-response","depth":4},{"value":"5.1.2 Create Comment with Multiple Attachments","id":"512-create-comment-with-multiple-attachments","depth":3},{"value":"Request Parameters","id":"request-parameters-1","depth":4},{"value":"Example Request","id":"example-request-1","depth":4},{"value":"Example Response","id":"example-response-1","depth":4},{"value":"Response Parameters","id":"response-parameters","depth":4},{"value":"5.2 Update a Comment","id":"52-update-a-comment","depth":3},{"value":"Path Parameters","id":"path-parameters","depth":4},{"value":"Request Parameters","id":"request-parameters-2","depth":4},{"value":"Example Request","id":"example-request-2","depth":4},{"value":"Example Response","id":"example-response-2","depth":4},{"value":"5.3 Delete comment","id":"53-delete-comment","depth":3},{"value":"Path Parameters","id":"path-parameters-1","depth":4},{"value":"Example Request","id":"example-request-3","depth":4},{"value":"Example Response","id":"example-response-3","depth":4},{"value":"6. Read Operations","id":"6-read-operations","depth":2},{"value":"6.1 Fetch Comment(s)","id":"61-fetch-comments","depth":3},{"value":"Example Request","id":"example-request-4","depth":4},{"value":"Example Response","id":"example-response-4","depth":4},{"value":"Response Parameters","id":"response-parameters-1","depth":4},{"value":"7. Use Cases","id":"7-use-cases","depth":2},{"value":"1. Add comments with attachments","id":"1-add-comments-with-attachments","depth":5},{"value":"2. Attach multiple files to a comment","id":"2-attach-multiple-files-to-a-comment","depth":5},{"value":"3. Retrieve existing comments","id":"3-retrieve-existing-comments","depth":5},{"value":"4. Update existing comments","id":"4-update-existing-comments","depth":5}],"frontmatter":{"seo":{"title":"Comment (Note) API V3 — Developer Guide"}},"lastModified":"2026-11-20T10:59:02.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/guides/developer-guides-v3/comment-api-v3-developer-guide","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}